> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 次の推奨質問を取得

> 現在のメッセージに対する次の質問の提案を取得します。



## OpenAPI

````yaml /ja/api-reference/openapi_chatflow.json get /messages/{message_id}/suggested
openapi: 3.0.1
info:
  title: 高度なチャットアプリAPI (Chatflow API)
  description: >-
    Chatflow アプリケーションはセッションの永続化をサポートし、過去のチャット履歴をレスポンスのコンテキストとして使用できます。Chatflow
    アプリは `advanced-chat`
    モードを使用し、ノードの開始・完了、イテレーション、ワークフローのライフサイクルを含む詳細な実行追跡のためのワークフローレベルのストリーミングイベントを提供します。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Chatflow アプリ API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: チャットフロー
    description: チャットフローアプリケーションの操作です（チャットメッセージ、ワークフロー実行詳細、イベントストリーミングを含む）。
  - name: ファイル操作
    description: ファイルのアップロードとプレビューの操作です。
  - name: エンドユーザー
    description: エンドユーザー情報に関連する操作です。
  - name: メッセージフィードバック
    description: ユーザーフィードバックの操作です。
  - name: 会話管理
    description: 会話管理に関連する操作です。
  - name: 音声・テキスト変換
    description: テキスト読み上げと音声認識の操作です。
  - name: アプリケーション設定
    description: アプリケーション設定と情報を取得する操作です。
  - name: アノテーション管理
    description: ダイレクト返信用のアノテーション管理に関連する操作です。
  - name: 人間の入力
    description: 人間の入力を要する一時停止中のワークフローの再開操作です。
paths:
  /messages/{message_id}/suggested:
    get:
      tags:
        - チャットフロー
      summary: 次の推奨質問を取得
      description: 現在のメッセージに対する次の質問の提案を取得します。
      operationId: getChatflowSuggestedQuestionsJp
      parameters:
        - name: message_id
          in: path
          required: true
          description: メッセージ ID。
          schema:
            type: string
        - name: user
          in: query
          required: true
          description: ユーザー識別子。
          schema:
            type: string
      responses:
        '200':
          description: 提案された質問の取得に成功しました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuggestedQuestionsResponse'
              examples:
                suggestedQuestions:
                  summary: レスポンス例
                  value:
                    result: success
                    data:
                      - What colors does the iPhone 13 Pro Max come in?
                      - How does the battery compare to iPhone 12?
                      - What is the price range?
        '400':
          description: |-
            - `not_chat_app` : アプリモードが API ルートと一致しません。
            - `bad_request` : 推奨質問機能が無効です。
          content:
            application/json:
              examples:
                not_chat_app:
                  summary: not_chat_app
                  value:
                    status: 400
                    code: not_chat_app
                    message: Please check if your app mode matches the right API route.
                bad_request:
                  summary: bad_request
                  value:
                    status: 400
                    code: bad_request
                    message: Suggested Questions Is Disabled.
        '404':
          description: '`not_found` : メッセージが存在しません。'
          content:
            application/json:
              examples:
                message_not_exists:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Message Not Exists.
        '500':
          description: '`internal_server_error` : 内部サーバーエラー。'
          content:
            application/json:
              examples:
                internal_server_error:
                  summary: internal_server_error
                  value:
                    status: 500
                    code: internal_server_error
                    message: Internal server error.
components:
  schemas:
    SuggestedQuestionsResponse:
      type: object
      properties:
        result:
          type: string
          description: 結果ステータス。
        data:
          type: array
          items:
            type: string
          description: 提案された質問のリストです。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**

````